org.apache.catalina.storeconfig

## Class NamingResourcesSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.NamingResourcesSF

- All Implemented Interfaces:
    IStoreFactory

      public class NamingResourcesSF
      extends StoreFactoryBase

  Store server.xml elements Resources at context and GlobalNamingResources

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingResourcesSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `store(PrintWriter aWriter, int indent, Object aElement)` Store the only the NamingResources elements
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aElement, StoreDescription elementDesc)` Store the specified NamingResources properties.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamingResourcesSF

          public NamingResourcesSF()

  - ### Method Detail

    - #### store

          public void store(PrintWriter aWriter,
                   int indent,
                   Object aElement)
                     throws Exception

      Store the only the NamingResources elements
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Throws:
        `Exception`
      See Also:
        `storeChildren(PrintWriter, int, Object, StoreDescription)`

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aElement,
                           StoreDescription elementDesc)
                             throws Exception

      Store the specified NamingResources properties.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aElement` - Object whose properties are being stored
        `elementDesc` - element descriptor
      Throws:
        `Exception` - if an exception occurs while storing
      See Also:
        `StoreFactoryBase.storeChildren(java.io.PrintWriter, int, java.lang.Object, StoreDescription)`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.